<?php
/*
*Plugin Name: Custom-Plugins
*Description: Masque la barre administrative de Wordpress, 
prévenir l'installation de l'extension si Worpdress n'est pas à jour
prévenir l'utilisation de l'extension de façon indépendante
*Version: 1.0
*Author: Alex Masi
*/

//includes
include("hide_bar.php");
include("activation.php");
include("ajoutMessage.php");
include("messAccueil.php");

//Hooks
/* Vérification de l'existence de la fonction hide_bar() */
if(!function_exists("hide_bar") || 
   !function_exists("activation_plugin") || 
   !function_exists("ajoutMessage") ||
   !function_exists("ajoutMessageAccueil"))
   {
    echo "Une des fonctions n'existe pas";
    exit();
}

add_action("init", "hide_bar");
add_action("wp_body_open", "ajoutMessageAccueil");
register_activation_hook(__FILE__, 'activation_plugin');
add_filter("the_content", "ajoutMessage");
